Subject: Ticket Assigned - Click & Collect Order 9415770201
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 22 Feb 2023 07:00:14 +0000

Hi Mais Hasan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Order 9415770201 Hi,

Just placed order no. 9415770201 via the app and realized after placing the order that the store selected was at MOE instead of MCC for collection.

Called on the toll free number to immediately request a change of the click and collect location and was told by Ms. Faraway that it was not possible and that the only option was to wait for 14 days for the order to get automatically cancelled and place the order again or cancel now and re-order while waiting for the refund in 14 days. She asked me to arrange for someone staying close by to MOE to collect it on my behalf! I stay in Mirdif - MOE is too far for me. Usually MCC always shows up as my default location for Click and Collect on the app, but it reflected as MOE today.

It makes no sense while I have been dealing with other online retailers who have not had such complications especially when the order has just been placed.

When requested to speak to a Manager or someone in charge, I was kept on hold for over 3 minutes and told the manager - also Ms. Farah, was not available to speak.

I have requested a call back today to have this addressed on priority.

Please understand that I spent 16mins on a call as soon as I placed the order and realised the error in the location.

I took this initiative to avoid any further complication and since I value the time of each member involved in this logistic process.

Hope this gets considered and addressed.

While typing this email, received a call from Mr. Yusuf mentioning the same as above - convincing me to cancel and replace the order with the new store address.

Not sure why this is so complicated but I sincerely think that this should be a considered as it is making customer's situations very complicated.

Kind regards,
Rajashree

Get Outlook for iOS<https://aka.ms/o0ukef>

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5741595